// file: page_number_service.js
import {config} from "../config";

export function getThreadPageNumber(skipped, pageSize = config.pageSize.general) {
    // Note: page number starts form 0
    // Note: skipped starts from 1 because we always skip OP

    return getPageNumber(skipped - 1, pageSize);
}

export function getPageNumber(skipped, pageSize = config.pageSize.general) {
    // Note: page number starts form 0

    return skipped <= 0 ? 0 : Math.floor(skipped / pageSize);
}