// file: days_separator_v.js
export class DaysSeparatorV {
    constructor(date) {
        const daysSeparatorE = document.createElement("div");
        daysSeparatorE.classList.add("days_separator");

        this.element = daysSeparatorE;
        daysSeparatorE.daysSeparatorV = this;

        const dateE = document.createElement("span");
        dateE.classList.add("date");
        dateE.appendText(this._formatDate(date));

        daysSeparatorE.appendChild(dateE);
    }

    _formatDate(date) {
        const monthNames = [
            "January", "February", "March", "April",
            "May", "June", "July", "August",
            "September", "October", "November", "December"
        ];

        return (
            date.getDate() + " " +
            monthNames[date.getMonth()] + " " +
            date.getFullYear()
        );
    }
}