// file: board_link_v.js
import {WarpPageLinkV} from "../warp/warp_page_link_v";

export class BoardLinkV {
    constructor(boardName, boardDescription) {
        const boardLinkE = document.createElement('a');
        boardLinkE.classList.add('board_link');

        this.element = boardLinkE;
        boardLinkE.boardLinkV = this;

        boardLinkE.appendText(`${boardName}`);
        boardLinkE.title = boardDescription || '';
        new WarpPageLinkV(boardLinkE, boardName, 0);
    }

    changeBoardDescription(boardDescription) {
        this.element.title = boardDescription || '';
    }
}