// file: thread_link_v.js
import {ThreadPageLinkV} from "../thread_page/thread_page_link_v";
import {toShortcutUuid} from "../../services/uuid_service";

export class ThreadLinkV {
    constructor(boardName, threadId) {
        const threadLinkE = document.createElement('a');
        threadLinkE.classList.add('thread_link');

        this.element = threadLinkE;
        threadLinkE.threadLinkV = this;

        threadLinkE.appendText(`${toShortcutUuid(threadId)}`);
        new ThreadPageLinkV(threadLinkE, boardName, threadId, null);
    }
}