// file: help_btn_v.js
import {HelpPopupV} from "../help/help_popup_v";

export class HelpBtnV {
    constructor() {
        const btnE = $("#help_btn");
        this.element = btnE;
        btnE.helpBtnV = this;

        btnE.addEventListener('click', e => showHelpPopup(), false);
    }
}

export function showHelpPopup() {
    const helpPopupE = $("#help_popup");

    if (helpPopupE) {
        helpPopupE.helpPopupV.close();
    } else {
        new HelpPopupV();
    }
}