// file: menu_v.js
import {HomeLinkV} from "./home_link_v";
import {SearchLinkV} from "./search_link_v";
import {ConnectionStatusV} from "../connection_status_v";
import {SettingsBtnV} from "./settings_btn_v";
import {HelpBtnV} from "./help_btn_v";
import {ExportBtnV} from "./export_btn_v";
import {ImportBtnV} from "./import_btn_v";
import {LoginBtnV} from "./login_btn_v";
import {ProfileBtnV} from "./profile_btn_v";

export class MenuV {
    constructor() {
        const menuE = $("#menu");
        this.element = menuE;
        menuE.menuE = this;

        this.homeLinkV = new HomeLinkV();
        this.searchLinkV = new SearchLinkV();

        this.connectionStatusV = new ConnectionStatusV();
        this.exportBtnV = new ExportBtnV();
        this.importBtnV = new ImportBtnV();
        this.settingsBtnV = new SettingsBtnV();
        this.helpBtnV = new HelpBtnV();
        this.loginBtnV = new LoginBtnV();
        this.profileBtnV = new ProfileBtnV();
    }
}