// file: settings_btn_v.js
import {SettingsPopupV} from "../settings/settings_popup_v";

export class SettingsBtnV {
    constructor() {
        const btnE = $("#settings_btn");
        this.element = btnE;
        btnE.settingsBtnV = this;

        btnE.addEventListener('click', e => showSettingsPopup(), false);
    }
}

export function showSettingsPopup() {
    const settingsPopupE = $("#settings_popup");

    if (settingsPopupE) {
        settingsPopupE.settingsPopupV.close();
    } else {
        new SettingsPopupV();
    }
}