// file: post_with_reply_d.js
import {decorateView} from "../../utils";
import {toSimpleUuid} from "../../services/uuid_service";

export class PostWithReplyD {
    constructor(postV, replyFormV) {
        decorateView(postV, this);

        this.element = postV.element;
        this.post = postV.post;
        this._replyFormV = replyFormV;

        postV.idE.addEventListener('click', e => this.reply(), false);
    }

    reply(focus = true) {
        this._replyFormV.showAfterPost(this.element);
        this._replyFormV.tbxV.insertText(`@${toSimpleUuid(this.post.postId)} `, focus);
    }
}