// file: search_result_page_link_v.js
import * as locationService from "../../services/location_service";
import {getSearchUrl} from "../../services/url_service";

export class SearchResultPageLinkV {
    constructor(linkE, pageNumber) {
        this.element = linkE;
        linkE.searchResultPageLinkV = this;

        const searchArgs = locationService.getSearchArgs();
        searchArgs.pageNumber = pageNumber;

        linkE.href = getSearchUrl(searchArgs);

        linkE.addEventListener("click", e => {
            e.preventDefault();
            locationService.setSearch(searchArgs);
        }, false);
    }
}