// search_result_post_d.js
import {decorateView} from "../../utils";
import {BoardThreadLinksV} from "../post/board_thread_links_v";

export class SearchResultPostD {
    constructor(postV) {
        decorateView(postV, this, 'postV');

        this._postV = postV;
        postV.postE.classList.remove(`original`);

        const boardThreadLinksV = new BoardThreadLinksV(postV.post);
        this._boardThreadLinksV = boardThreadLinksV;
        postV.headerE.appendText(' ');
        postV.headerE.appendChild(boardThreadLinksV.element);
    }

    changeBoardDescription(boardDescription) {
        this._boardThreadLinksV.changeBoardDescription(boardDescription);
        this._postV.changeBoardDescription(boardDescription);
    }
}