// file: search_with_state_d.js
import {decorateView} from "../../utils";

export class SearchWithStateD {
    constructor(searchV) {
        decorateView(searchV, this, 'searchV');
    }

    getState() {
        // it's empty because in the current implementation the state can be fully restored from url
        return null;
    }

    restoreState(searchState) {
        // it's empty because in the current implementation the state can be fully restored from url
        return null;
    }
}