// file: selectable_v.js
export class SelectableV {
    constructor(element) {
        this.element = element;
        element.selectableV = this;
    }

    select() {
        this.element.classList.add('selected');
    }

    deselect() {
        this.element.classList.remove('selected');
    }
}