// file: board_banner_as_link_d.js
import {decorateView} from "../../utils";
import {BoardLinkV} from "../links/board_link_v";

export class BoardBannerAsLinkD {
    constructor(boardBannerV) {
        decorateView(boardBannerV, this);

        const boardLinkV = new BoardLinkV(boardBannerV.boardName, null);

        boardLinkV.element.empty();

        boardBannerV.element.moveChildNodesTo(boardLinkV.element);
        boardBannerV.element.appendChild(boardLinkV.element);
    }
}