// file: thread_page_link_d.js
import {decorateView} from "../../utils";
import {ThreadPageLinkV} from "./thread_page_link_v";

export class ThreadPageLinkD {
    constructor(pageLinkV, threadPage) {
        decorateView(pageLinkV, this, 'pageLinkV');

        new ThreadPageLinkV(
            pageLinkV.pageLinkE,
            threadPage.data.thread.board.name,
            threadPage.data.thread.threadId,
            pageLinkV.pageNumber,
        );
    }
}