// file: warp_page_link_f.js
import {PageLinkV} from "../pagination/page_link_v";
import {WarpPageLinkD} from "./warp_page_link_d";

export class WarpPageLinkF {
    constructor(warpPage) {
        this._warpPage = warpPage;
    }

    create(pageNumber, currentPage, paginationV) {
        const pageLinkV = new PageLinkV(pageNumber, currentPage, paginationV);
        return new WarpPageLinkD(pageLinkV, this._warpPage);
    }
}