// file: warp_page_link_v.js
import {getWarpUrl} from "../../services/url_service";
import * as locationService from "../../services/location_service";

export class WarpPageLinkV {
    constructor(linkE, boardName, pageNumber) {
        this.element = linkE;
        linkE.warpPageLinkV = this;

        linkE.href = getWarpUrl(boardName, pageNumber);

        linkE.addEventListener("click", e => {
            e.preventDefault();
            locationService.setWarp(boardName, pageNumber);
        }, false);
    }
}