// file: custom_events.js
// todo: finish it later
// const bc = new BroadcastChannel('customEvents');
// bc.addEventListener('message', e => {
//     if (e.data.type === 'authorizeChange') {
//         authorizeChange(true);
//     }
// });

export function selectThread(boardName, threadId, pageNumber, postId, isPopState = false) {
    document.dispatchEvent(new CustomEvent('selectThread', {
        detail: {boardName, threadId, pageNumber, postId, isPopState}
    }));
}

export function selectBoard(boardName, pageNumber, isPopState = false) {
    document.dispatchEvent(new CustomEvent('selectBoard', {
        detail: {boardName, pageNumber, isPopState}
    }));
}

export function selectGlobalPage(pageNumber, isPopState = false) {
    document.dispatchEvent(new CustomEvent('selectGlobalPage', {
        detail: {pageNumber, isPopState}
    }));
}

export function selectSearch(searchArgs, isPopState = false) {
    document.dispatchEvent(new CustomEvent('selectSearch', {
        detail: {searchArgs, isPopState}
    }));
}

export function setPostIdHash(hash) {
    document.dispatchEvent(new CustomEvent('setPostIdHash', {
        detail: {hash}
    }));
}

export function chatVisibilityChange(isHidden) {
    document.dispatchEvent(new CustomEvent('chatVisibilityChange', {
        detail: {isHidden}
    }));
}

export function authorizeChange(isFromForeignWindow = false) {
    document.dispatchEvent(new CustomEvent('authorizeChange', {
        detail: {}
    }));
    // if (!isFromForeignWindow) {
    //     bc.postMessage({type: 'authorizeChange', detail: {}});
    // }
}

export function lsChange(key, oldValue, newValue, isFromForeignWindow = false) {
    document.dispatchEvent(new CustomEvent('lsChange', {
        detail: {key, oldValue, newValue, isFromForeignWindow}
    }));
}
