// file: session_storage_service.js
import * as storageService from "./storage_service";

export function getItem(key, defaultValue) {
    return storageService.getItem(sessionStorage, key, defaultValue);
}

export function setItem(key, value) {
    storageService.setItem(sessionStorage, key, value);
}

export function toggle(key) {
    storageService.toggle(sessionStorage, key);
}