export class DragDependantV {
    constructor(element) {
        this.element = element;
        this.element.dragDependantV = this;
    }

    setWidth(width) {
        this.element.style.width = `${width}px`;
        this.element.style.minWidth = `${width}px`;
    }

    setHeight(height) {
        this.element.style.height = `${height}px`;
        this.element.style.minHeight = `${height}px`;
    }

    toggleHide() {
        this.element.toggleClass('hidden');
    }
}