// file: help_v.js
export class HelpV {
    constructor() {
        const helpE = document.createElement('div');
        helpE.classList.add('help');

        this.element = helpE;
        helpE.helpV = this;

        const helpTemplateE = document.importNode($("#help_template").content, true);
        this.element.appendChild(helpTemplateE);

        this._createGroupTitle(``);
    }

    _createGroupTitle(groupName) {
        const groupTitleE = document.createElement('div');
        groupTitleE.classList.add('group_title');
        groupTitleE.appendText(groupName);
        this.element.appendChild(groupTitleE);
        return groupTitleE;
    }
}