// file: home_link_v.js
import * as location_service from "../../services/location_service";
import {config} from "../../config";

export class HomeLinkV {
    constructor() {
        const linkE = $("#home_link");
        linkE.href = `${config.basePath}/`;

        this.element = linkE;
        linkE.homeLinkV = this;

        linkE.addEventListener('click', e => {
            e.preventDefault();
            location_service.setHome();
        }, false);
    }
}