// file: search_link_v.js
import * as location_service from "../../services/location_service";
import {SearchArgs} from "../../models";
import {getSearchBaseUrl} from "../../services/url_service";

export class SearchLinkV {
    constructor() {
        const linkE = $("#search_link");

        this.element = linkE;
        linkE.searchLinkV = this;

        linkE.href = getSearchBaseUrl();

        linkE.addEventListener('click', e => {
            e.preventDefault();
            location_service.setSearch();
        }, false);
    }
}