// file: page_link_v.js
import {SelectableV} from "../selectable_v";

export class PageLinkV {
    constructor(pageNumber, currentPage, paginationV) {
        this.pageNumber = pageNumber;
        this.currentPage = currentPage;

        this.pageLinkE = document.createElement('a');
        this.pageLinkE.classList.add('link', 'item');
        this.pageLinkE.appendText(pageNumber);

        this.selectableV = new SelectableV(this.pageLinkE);

        if (pageNumber === currentPage) {
            this.selectableV.select();
        }

        this.pageLinkE.pageLinkV = this;
        this.element = this.pageLinkE;

        paginationV.element.appendChild(this.pageLinkE);
    }
}