// file: modal_popup_d.js
import {decorateView} from "../../utils";

export class ModalPopupD {
    constructor(popupV, close) {
        decorateView(popupV, this, 'popupV');

        const modalShadeE = document.createElement('div');
        modalShadeE.id = 'modal_shade';
        modalShadeE.appendBefore(popupV.element);

        this.close = () => {
            modalShadeE.remove();
            popupV.close();
        };

        modalShadeE.addEventListener('click', e => close ? close() : this.close(), false);
    }
}