// file: popup_v.js
import {DraggableWindowV} from "../draggable_window_v";

export class PopupV {
    constructor() {
        const popupE = document.createElement('div');
        this.element = popupE;
        popupE.popupV = this;

        popupE.classList.add('popup');
        document.body.appendChild(popupE);

        this.titleBarE = document.createElement('div');
        this.titleBarE.classList.add('title_bar');
        popupE.appendChild(this.titleBarE);

        new DraggableWindowV(popupE);

        this.popupContentE = document.createElement('div');
        this.popupContentE.classList.add('popup_content');
        popupE.appendChild(this.popupContentE);
    }

    close() {
        this.element.remove();
    }
}