// file: post_track_new_d.js
import {decorateView} from "../../utils";
import {getSettings} from "../../services/settings_service";

export class PostTrackNewD {
    constructor(postV, lastSeenAt) {
        decorateView(postV, this, 'postV');
        this.postE = postV.postE;

        if (!getSettings().trackNewPosts) return;

        if (lastSeenAt && postV.post.postDate > lastSeenAt) {
            this.postE.classList.add(`new-post`);
        }
    }
}