// file: thread_page_link_f.js
import {ThreadPageLinkD} from "./thread_page_link_d";
import {PageLinkV} from "../pagination/page_link_v";

export class ThreadPageLinkF {
    constructor(threadPage) {
        this._threadPage = threadPage;
    }

    create(pageNumber, currentPage, paginationV) {
        const pageLinkV = new PageLinkV(pageNumber, currentPage, paginationV);
        return new ThreadPageLinkD(pageLinkV, this._threadPage);
    }
}