// file: thread_page_link_v.js
import {getThreadUrl} from "../../services/url_service";
import * as locationService from "../../services/location_service";

export class ThreadPageLinkV {
    constructor(linkE, boardName, threadId, pageNumber) {
        this.element = linkE;
        linkE.threadPageLinkV = this;

        linkE.href = getThreadUrl(boardName, threadId, pageNumber);

        linkE.addEventListener("click", e => {
            e.preventDefault();
            locationService.setThreadPage(boardName, threadId, pageNumber);
        }, false);
    }
}