// file: thread_banner_with_thread_link_d.js
import {decorateView, getNodesRange} from "../../utils";
import {ThreadPageLinkV} from "../thread_page/thread_page_link_v";
import {ThreadLinkV} from "../links/thread_link_v";

export class ThreadBannerWithThreadLinkD {
    constructor(threadBannerV, boardName, threadId) {
        decorateView(threadBannerV, this, 'threadBannerV');

        // const boardNameE = document.createElement('span');
        // boardNameE.classList.add('board_name');
        // boardNameE.appendText('/');

        const threadLinkE = new ThreadLinkV(boardName, threadId).element;
        threadLinkE.empty();

        getNodesRange(
            threadBannerV.threadIdE, threadBannerV.subjectE
        ).forEach(el => threadLinkE.appendChild(el));
        // threadLinkE.appendChild(threadBannerV.threadIdE);
        // threadLinkE.appendChild(threadBannerV.subjectE);

        // threadBannerV.element.prependChild(threadLinkE);
        threadBannerV.element.appendChild(threadLinkE);
    }
}